/**
 * 重构出有效的查询参数,
 * 排除参数对象上值为null,NaN,{},[],""的属性
 * @param params 需要处理的对象
 * @param fn 接收重构后的值作为参数, 进行自定义函数二次处理
 */
export declare function validParams<T extends object>(params: T): Partial<T>;
export declare function validParams<R, T extends object>(params: T, fn: (params: Partial<T>) => R): R;
